<script lang="ts">
  import { fade } from 'svelte/transition'
  import Icon from 'src/components/icon/icon.svelte'
  import Link from 'src/components/link/link.svelte'
  import { Data, fetchData } from './data'

  let data: Data = undefined

  fetchData().then(d => (data = d))
</script>

<style lang="scss">
  green {
    display: block;
    background-color: #99ee99;
    color: #222;
    width: 200px;
    height: 300px;
    padding: calculateRem(8px);
  }

  li {
    margin-top: 10px;
  }
</style>

<green in:fade={{ duration: 120 }}>
  <h2>Shapes</h2>
  <p>
    This is an icon
    <Icon name="example" color="#992222" />
  </p>

  {#if !data}
    Loading...
  {:else if !data.ok}
    <p>Error... ({JSON.stringify(data.error, null, 2)})</p>
  {:else}
    <ul>
      {#each data.value as shape}
        <li>
          <Link route={['shape', { id: shape.id }]}>Shape {shape.id}</Link>
        </li>
      {/each}
    </ul>
  {/if}
</green>
